Subject: RE: Long: Ryan Moat's Promised ABNF for Core Schema Doc

From: "Ryan Moats" <[email-masked]>
Date: Tue, 27 Jul 1999 10:50:47 -0500

| Ryan, it's not that I'm keen on using the RFC2252
| syntax for specifying DEN schemas, but FYI, I did
| notice a small error in your message. When specifying
| DIT content rules, the initial numericoid element is
| that of the structural object class the rule applies to,
| not an independent identifier for the content rule.
| The error occurs for PolicyGroup (3) and PolicyInstance
| (10). -- al

Gurgle...  

Al's right, I missed this in my code (and reviews and ...)

anyway, the correct oids are below:

| >      ( <oid-oc2> NAME 'policyGroup'
| >        DESC 'A container for either a set of related policyRules or a
| >              set of related policyGroups.'
| >        SUP top
| >        MUST (policyGroupName)
| >      )
| > 
| >      ( <oid-cr1>
| >        NAME 'policyGroupContentRule'
| >        DESC 'shows what auxiliary classes go with policyGroup'
| >        AUX (policyGroupContainmentAuxClass $
| > policyRuleContainmentAuxClass)
| >      )
| > 

| In other words, the <oid-cr1> should have been
| <oid-oc2> here.

Al is right <oid-cr1> should be replaced with <oid-oc2>
further, <oid-cr2> should be replaced with <oid-oc11>

Sigh...

Ryan